# Uses of Class
java.security.DigestException

Packages that use DigestException
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of DigestException in java.security

Methods in java.security that throw DigestException
Modifier and Type
Method
Description
`int`
MessageDigest.`digest(byte[] buf, int offset, int len)`
Completes the hash computation by performing final operations such as padding.
`protected int`
MessageDigestSpi.`engineDigest(byte[] buf, int offset, int len)`
Completes the hash computation by performing final operations such as padding.